1. Docs
  2. API Reference
  3. List hierarchy (scoped tree)

List hierarchy (scoped tree)

GET/portal/v1/accounts/{accountSlug}/applications/{appSlug}/environments/{envSlug}/nodes

Authentication

  • Bearer Token Authorization

    JWT access token

Code samples

cURLJavaScriptPythonGo
curl -X GET "https://api.canopy.dev/portal/v1/accounts/{accountSlug}/applications/{appSlug}/environments/{envSlug}/nodes" \
  -H "Authorization: Bearer $CANOPY_TOKEN"

Responses

200 Scoped hierarchy tree returned
{
  "tree": [
    {
      "id": "string",
      "name": "string",
      "slug": "string",
      "node_type": "string",
      "parent_node_id": "string",
      "status": "string",
      "access_state": "accessible",
      "can_access": false,
      "can_manage": false,
      "children": [
        {
          "id": "string",
          "name": "string",
          "slug": "string",
          "node_type": "string",
          "parent_node_id": "string",
          "status": "string",
          "access_state": "accessible",
          "can_access": false,
          "can_manage": false,
          "children": [
            {
              "id": "string",
              "name": "string",
              "slug": "string",
              "node_type": "string",
              "parent_node_id": "string",
              "status": "string",
              "access_state": "accessible",
              "can_access": false,
              "can_manage": false,
              "children": [
                {
                  "id": null,
                  "name": null,
                  "slug": null,
                  "node_type": null,
                  "parent_node_id": null,
                  "status": null,
                  "access_state": null,
                  "can_access": null,
                  "can_manage": null,
                  "children": null,
                  "version": null
                }
              ],
              "version": 0
            }
          ],
          "version": 0
        }
      ],
      "version": 0
    }
  ],
  "scope": {
    "accessible_node_ids": [
      "string"
    ],
    "scope_root_node_ids": [
      "string"
    ],
    "entry_node_ids": [
      "string"
    ]
  }
}

application/json

  • treeHierarchyTreeNodeDto[]*
  • scopeHierarchyScopeDto*
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)

Returned object

On this page

Related endpoints

POSTCreate a hierarchy node
GETGet a hierarchy node
PATCHUpdate a hierarchy node
DELETEDelete a hierarchy node
GETGet subtree from a node
GETGet ancestor chain for a node
GETGet direct children of a node
POSTMove (reparent) a node
GETList identities at a node
GETGet identity summary for a node